## ros-galactic-ros-ign-gazebo 0.233.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros_ign_gazebo)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(ignition-math6 REQUIRED)
find_package(rclcpp REQUIRED)

# Fortress
if("$ENV{IGNITION_VERSION}" STREQUAL "fortress")
  find_package(ignition-transport11 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport11_VERSION_MAJOR})

  find_package(ignition-msgs8 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Fortress")
# Default to Edifice
else()
  find_package(ignition-transport10 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport10_VERSION_MAJOR})

  find_package(ignition-msgs7 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs7_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Edifice")
endif()

ign_find_package(gflags
    REQUIRED
    PKGCONFIG gflags)

add_executable(create src/create.cpp)
ament_target_dependencies(create
  rclcpp
  ignition-math6
)
target_link_libraries(create
  gflags
  ignition-msgs${IGN_MSGS_VER}::core
  ignition-transport${IGN_TRANSPORT_VER}::core
)

install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME}
)

install(TARGETS
  create
  DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-galactic-ros-ign-gazebo (0.233.4-1focal) focal; urgency=high

  * [galactic] backport test memory usage improvements (#215 <https://github.com/ignitionrobotics/ros_ign/issues/215>)
    - Improve modularity of ign/ros publisher tests (#194 <https://github.com/ignitionrobotics/ros_ign/issues/194>)
    - Break apart ros_subscriber test translation unit (#212 <https://github.com/ignitionrobotics/ros_ign/issues/212>)
    - Fix deprecated parameter declaration
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Michael Carroll

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Mon, 07 Feb 2022 06:00:00 -0000

ros-galactic-ros-ign-gazebo (0.233.3-1focal) focal; urgency=high

  * Separate galactic branch from ros2 branch (#201 <https://github.com/osrf/ros_ign/issues/201>)
  * [ros2] 🏁 Dome EOL (#199 <https://github.com/osrf/ros_ign/issues/199>)
  * Contributors: Louise Poubel

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Thu, 30 Dec 2021 06:00:00 -0000

ros-galactic-ros-ign-gazebo (0.233.2-1focal) focal; urgency=high

  * [ros2] Update version docs, add Galactic and Fortress (#164 <https://github.com/osrf/ros_ign/issues/164>)
  * Contributors: Louise Poubel

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 20 Jul 2021 05:00:00 -0000

ros-galactic-ros-ign-gazebo (0.233.1-1focal) focal; urgency=high

  * Default to Edifice for Rolling (#150 <https://github.com/osrf/ros_ign/issues/150>)
  * Edifice support (#140 <https://github.com/osrf/ros_ign/issues/140>)
    Co-authored-by: Alejandro Hernández <mailto:ahcorde@gmail.com>
  * Add topic flag to create robot  (#128 <https://github.com/osrf/ros_ign/issues/128>)
    Now it is possible to run ros_ign_gazebo create specifying a topic as
    source of the robot description
    Add a launch file starting a ignition gazebo world and spawn a sphere in it.
    Additionally a rviz2 interface is loaded to show that also Rviz can load
    the robot description
    The newly created demo introduce a dependency on the robot_state_publisher package
  * Add default value for plugin path in launch script (#125 <https://github.com/osrf/ros_ign/issues/125>)
  * Fix overwriting of plugin path in launch script (#122 <https://github.com/osrf/ros_ign/issues/122>)
    - IGN_GAZEBO_SYSTEM_PLUGIN_PATH was overwritten by LD_LIBRARY_PATH
    - Now it is instead extended by LD_LIBRARY_PATH
    - This allows use of ign_gazebo.launch.py with custom gazebo plugins
  * Changed for loading xml from ROS param(#119 <https://github.com/osrf/ros_ign/issues/119>) (#120 <https://github.com/osrf/ros_ign/issues/120>)
  * ros_ign_gazebo exec depend on ign-gazebo (#110 <https://github.com/osrf/ros_ign/issues/110>)
  * Update releases (#108 <https://github.com/osrf/ros_ign/issues/108>)
  * Add support for Dome (#103 <https://github.com/osrf/ros_ign/issues/103>)
  * Contributors: Andrej Orsula, Louise Poubel, Luca Della Vedova, Valerio Magnago, chama1176

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Fri, 16 Apr 2021 05:00:00 -0000

ros-galactic-ros-ign-gazebo (0.221.1-1focal) focal; urgency=high

  * Add pkg-config as a buildtool dependency (#102 <https://github.com/osrf/ros_ign/issues/102>)
  * Contributors: Louise Poubel

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Wed, 19 Aug 2020 05:00:00 -0000

ros-galactic-ros-ign-gazebo (0.221.0-1focal) focal; urgency=high

  * [ros2] Fixed CI - Added Foxy (#89 <https://github.com/osrf/ros_ign/issues/89>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Added ros_ign_gazebo for ros2 (#80 <https://github.com/osrf/ros_ign/issues/80>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Update Dashing docs (#62 <https://github.com/osrf/ros_ign/issues/62>)
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, chapulina

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Thu, 23 Jul 2020 05:00:00 -0000

=== debian/control ===
Source: ros-galactic-ros-ign-gazebo
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <ahcorde@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libgflags-dev, libignition-gazebo5-dev, libignition-math6-dev, pkg-config, ros-galactic-ament-cmake, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-rclcpp, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ros-ign-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgflags-dev, libignition-gazebo5-dev, libignition-math6-dev, ros-galactic-rclcpp, ros-galactic-ros-workspace
Description: Tools for using Ignition Gazebo simulation with ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-ros-ign-gazebo//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
